aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/test_usage.sh24
1 files changed, 22 insertions, 2 deletions
diff --git a/tests/test_usage.sh b/tests/test_usage.sh
index 2a257d9..b3ebd9f 100644
--- a/tests/test_usage.sh
+++ b/tests/test_usage.sh
@@ -1,9 +1,29 @@
-test_splitfits_usage_longopt() {
+test_splitfits_usage_longopt_help() {
${test_program} --help
return $?
}
-test_splitfits_usage_shortopt() {
+test_splitfits_usage_shortopt_help() {
${test_program} -h
return $?
}
+
+test_splitfits_usage_longopt_version() {
+ result=$(${test_program} --version)
+ retval=$?
+
+ if [[ -z $result ]]; then
+ return 1
+ fi
+ return $retval
+}
+
+test_splitfits_usage_shortopt_version() {
+ result=$(${test_program} -V)
+ retval=$?
+
+ if [[ -z $result ]]; then
+ return 1
+ fi
+ return $retval
+}